// DisableToolbarView.cpp : implementation of the CDisableToolbarView class
//

#include "stdafx.h"
#include "DisableToolbar.h"

#include "DisableToolbarDoc.h"
#include "DisableToolbarView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDisableToolbarView

IMPLEMENT_DYNCREATE(CDisableToolbarView, CFormView)

BEGIN_MESSAGE_MAP(CDisableToolbarView, CFormView)
	ON_BN_CLICKED(ID_TBRED,OnToolbarRedClick)
	ON_BN_CLICKED(ID_TBGREEN,OnToolbarGreenClick)
	ON_BN_CLICKED(ID_TBBLUE,OnToolbarBlueClick)
	ON_UPDATE_COMMAND_UI(ID_TBRED, OnToolbarRedUpdate)
	ON_UPDATE_COMMAND_UI(ID_TBGREEN, OnToolbarGreenUpdate)
	ON_UPDATE_COMMAND_UI(ID_TBBLUE, OnToolbarBlueUpdate)
END_MESSAGE_MAP()

// CDisableToolbarView construction/destruction

CDisableToolbarView::CDisableToolbarView()
	: CFormView(CDisableToolbarView::IDD)
	, bRedEnabled(false)
	, bGreenEnabled(true)
	, bBlueEnabled(false)
{
	// TODO: add construction code here

}

CDisableToolbarView::~CDisableToolbarView()
{
}

void CDisableToolbarView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
}

BOOL CDisableToolbarView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CDisableToolbarView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();
}


// CDisableToolbarView diagnostics

#ifdef _DEBUG
void CDisableToolbarView::AssertValid() const
{
	CFormView::AssertValid();
}

void CDisableToolbarView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CDisableToolbarDoc* CDisableToolbarView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDisableToolbarDoc)));
	return (CDisableToolbarDoc*)m_pDocument;
}
#endif //_DEBUG


// CDisableToolbarView message handlers

void CDisableToolbarView::OnToolbarRedClick()
{
	MessageBox("Red clicked");
}

void CDisableToolbarView::OnToolbarGreenClick()
{
	MessageBox("Green clicked");
}

void CDisableToolbarView::OnToolbarBlueClick()
{
	MessageBox("Blue clicked");
}

void CDisableToolbarView::OnToolbarRedUpdate(CCmdUI *pCmdUI)
{
	if (!bRedEnabled) pCmdUI->Enable(false);
}

void CDisableToolbarView::OnToolbarGreenUpdate(CCmdUI *pCmdUI)
{
	if (!bGreenEnabled) pCmdUI->Enable(false);
}

void CDisableToolbarView::OnToolbarBlueUpdate(CCmdUI *pCmdUI)
{
	if (!bBlueEnabled) pCmdUI->Enable(false);
}
